Bug 1041510 - [RFE][swift]: Light weight Erasure code framework for swift
Summary: [RFE][swift]: Light weight Erasure code framework for swift
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-swift
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: beta
: 8.0 (Liberty)
Assignee: Pete Zaitcev
QA Contact: Mike Abrams
URL: https://blueprints.launchpad.net/swif...
Whiteboard: upstream_milestone_ongoing upstream_s...
Depends On:
Blocks: 1337340 1377511
TreeView+ depends on / blocked
 
Reported: 2013-12-12 16:43 UTC by RHOS Integration
Modified: 2016-09-20 00:22 UTC (History)
12 users (show)

Fixed In Version: openstack-swift-2.5.0-1.el7ost
Doc Type: Technology Preview
Doc Text:
Clone Of:
: 1337340 (view as bug list)
Environment:
Last Closed: 2016-04-07 20:58:30 UTC
scohen: needinfo+


Attachments (Terms of Use)
tempest results (1.34 MB, text/plain)
2016-04-04 09:06 UTC, Mike Abrams
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0603 normal SHIPPED_LIVE Red Hat OpenStack Platform 8 Enhancement Advisory 2016-04-08 00:53:53 UTC

Description RHOS Integration 2013-12-12 16:43:34 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/swift/+spec/swift-ec.

Description:

High-level blueprint for tracking EC work

Specification URL (additional information):

None

Comment 5 Sean Cohen 2015-04-15 14:22:39 UTC
EC feature is now merged into Kilo master https://review.openstack.org/#/c/173398/
Sean

Comment 6 Pete Zaitcev 2015-04-15 23:32:26 UTC
See the following Fedora packaing review bugs for mandatory dependencies:
 bug 1094570: gf-complete
 bug 1095012: jerasure
 bug 1208695: liberasurecode
 bug 1212148: python-pyeclib

Comment 12 nlevinki 2015-12-01 14:49:21 UTC
all the info is at  all the info is at https://blueprints.launchpad.net/swift/+spec/swift-ec. 
I hope

Comment 14 Sean Cohen 2016-01-04 18:21:25 UTC
Erasure Code Support upstream documentation can be found at: 
http://docs.openstack.org/developer/swift/overview_erasure_code.html

Comment 16 Christian Schwede (cschwede) 2016-03-07 17:00:17 UTC
Erasure Code is no longer beta, in fact it is even used in production at various sites. I proposed a patch to remove all EC "beta" flags, and it was approved by the Swift PTL John Dickinson and is now merged: https://review.openstack.org/#/c/288327/

Comment 19 Mike Abrams 2016-04-04 09:06:30 UTC
Created attachment 1143271 [details]
tempest results

Comment 22 errata-xmlrpc 2016-04-07 20:58:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0603.html


Note You need to log in before you can comment on or make changes to this bug.